import {
  req
} from "../utils/req";
import {
  config
} from "../config/index"
// 获取图片列表
function getGuests({type = 1, success}) {
  return new Promise((resolve, reject) => {
    req({
      url: `/conference/guest/list/${config.meetID}?type=${type}`,
      success(res) {
        if (res.code !== 0) {
          wx.showToast({
            title: res.message || "请稍后再试",
            icon: "none"
          })
          reject(res)
          return
        }
        success && success(res.data)
        resolve(res.data);
      }
    });
  })
}

export default {
  getGuests
}