// pages/detail/stroke.js
const {
  globalData: {
    systemInfo
  }
} = getApp();
import api from "../../api/index"
Page({

  /**
   * 页面的初始数据
   */
  data: {
    steps: [],
    cover: "",
    agendavideo: ""
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    const {
      agendavideo,
      cover,
      id
    } = options;
    this.id = id;
    this.setData({
      cover: decodeURIComponent(cover),
      agendavideo: decodeURIComponent(agendavideo)
    })
    api.getStrokeList({
      strokeID: this.id
    }).then(r => {
      this.setData({
        steps: (r || [])
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  onShareTimeline() {}
})