// pages/stroke/index.js
import api from "../../api/index";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    meetingList: {}
  },

  toPage(e) {
    const {
      id
    } = e.currentTarget.dataset;
    api.getSeatImage({
      id
    }).then(r => {
      wx.previewMedia({
        sources: [{
          url: r.content
        }]
      })
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    api.getStroke().then(strokeList => {
      console.log(strokeList)
      const sl = {}
      for (let i = 0; i < strokeList.length; i++) {
        const v = strokeList[i];
        const time = (v.agendaTime || "").split(" ");
        if (!time.length) continue
        if (!sl[time[0]]) sl[time[0]] = [];
        sl[time[0]].push(v);
      }
      this.setData({
        meetingList: sl
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  onShareTimeline() {}
})